List All Tools
curl --request GET \
--url https://api.danubeai.com/v1/tools \
--header 'danube-api-key: <api-key>'import requests
url = "https://api.danubeai.com/v1/tools"
headers = {"danube-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'danube-api-key': '<api-key>'}};
fetch('https://api.danubeai.com/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"service_id": "<string>",
"parameters": {},
"tags": [
"<string>"
]
}
]{
"detail": "<string>"
}Tools
List Tools
Get a list of all available tools
GET
/
tools
List All Tools
Get a complete list of all available tools. Use search or service filtering for more targeted results.
Example
curl -X GET "https://api.danubeai.com/v1/tools" \
-H "danube-api-key: YOUR_API_KEY"
Authorizations
Your Danube API key
Response
List of tools
Unique identifier for the tool
Display name of the tool
What the tool does
ID of the service this tool belongs to
JSON Schema defining the tool's input parameters
Whether the tool is currently active
Available options:
active, inactive Tags for categorizing the tool
⌘I
